GET /v1/kala
The three daily inauspicious windows — Rahu Kala, Gulika Kala and Yama Gandam — with sunrise/sunset.
Authorization
ApiKeyAuth X-API-Key<token>
In: header
Query Parameters
date*string
Local date/time
lat*number
lng*number
lang?string
Language code for translation
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/kala?date=string&lat=0&lng=0"{ "success": true, "data": { "sunrise": "1990-01-15T01:45:07.000Z", "sunset": "1990-01-15T12:16:01.000Z", "rahuKala": { "startTime": "1990-01-15T03:03:58.750Z", "endTime": "1990-01-15T04:22:50.500Z" }, "gulikaKala": { "startTime": "1990-01-15T08:19:25.750Z", "endTime": "1990-01-15T09:38:17.500Z" }, "yamaGandam": { "startTime": "1990-01-15T05:41:42.250Z", "endTime": "1990-01-15T07:00:34.000Z" }, "isCurrentlyRahuKala": false }}